Bug 22664 - Installer crash on FTP install.
Installer crash on FTP install.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-21 08:55 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-19 12:39:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-21 08:55:52 EST
Trying to install Red Hat Linux 7.0, booting from the bootnet floppies, 
connecting to a local FTP site.  The installer finds the site, loads 
anaconda, and after asking about password setup (MD5, Kerberos, etc.), a 
message comes up saying an exception has occured.  The following traceback 
is a result of that.

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/urlinstall.py", line 27, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: MAKEDEV

Local variables in innermost frame:
self: <comps.HeaderList instance at 82484a8>
item: MAKEDEV

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iurlinstall
UrlInstallMethod
p4
(dp5
S'baseUrl'
p6
S'ftp://ftp-cd:%66%74%70%2d%63%
64@magi.irobotics.com/storage/CD/RedHat7Disk1'
sbsS'initlevel'
p7
I3
sS'skipLilo'
p8
I0
sS'progressWindow'
p9
NsS'expert'
p10
I0
sS'ddruidReadOnly'
p11
I0
sS'bootdisk'
p12
I0
sS'language'
p13
(itodo
Language
(dp14
S'abbrevMap'
p15
(dp16
S'es_ES'
p17
S'Spanish'
p18
sS'tr_TR'
p19
S'Turkish'
p20
sS'sr_YU'
p21
S'Serbian'
p22
sS'de_DE'
p23
S'German'
p24
sS'sk_SK'
p25
S'Slovak'
p26
sS'ru_RU.KOI8-R'
p27
S'Russian'
p28
sS'is_IS'
p29
S'Icelandic'
p30
sS'no_NO'
p31
S'Norwegian'
p32
sS'sv_SE'
p33
S'Swedish'
p34
sS'en_US'
p35
S'English'
p36
sS'it_IT'
p37
S'Italian'
p38
sS'da_DK'
p39
S'Danish'
p40
sS'cs_CZ'
p41
S'Czech'
p42
sS'uk_UA.KOI8-U'
p43
S'Ukrainian'
p44
sS'hu_HU'
p45
S'Hungarian'
p46
sS'fr_FR'
p47
S'French'
p48
sS'sl_SI'
p49
S'Slovenian'
p50
sS'ro_RO'
p51
S'Romanian'
p52
ssS'font'
p53
(dp54
g38
S'lat0-sun16'
sg22
S'cyr-sun16'
sg28
S'cyr-sun16'
sg36
S'None'
sg26
S'lat2-sun16'
sg32
S'lat0-sun16'
sg34
S'lat0-sun16'
sg48
S'None'
sg50
S'lat2-sun16'
sg52
S'lat2-sun16'
sg24
S'None'
sg20
S'lat5-sun16'
sg46
S'lat2-sun16'
sg18
S'None'
sg44
S'cyr-sun16'
sg42
S'lat2-sun16'
sg40
S'lat0-sun16'
sg30
S'lat0-sun16'
ssS'langs'
p55
(dp56
g38
g37
sg22
g21
sg28
g27
sg36
g35
sg26
g25
sg32
g31
sg34
g33
sg48
g47
sg50
g49
sg52
g51
sg24
g23
sg20
g19
sg46
g45
sg18
g17
sg44
g43
sg42
g41
sg40
g39
sg30
g29
ssS'info'
p57
(dp58
S'LANG'
p59
g35
ssS'map'
p60
(dp61
g38
S'iso15'
sg22
S'iso05'
sg28
S'koi8-r'
sg36
S'None'
sg26
S'iso02'
sg32
S'iso15'
sg34
S'iso15'
sg48
S'None'
sg50
S'iso02'
sg52
S'iso02'
sg24
S'None'
sg20
S'iso09'
sg46
S'iso02'
sg18
S'None'
sg44
S'koi8-u'
sg42
S'iso02'
sg40
S'iso15'
sg30
S'iso15'
ssS'lang'
p62
g35
sbsS'fstab'
p63
NsS'lilo'
p64
(ililo
LiloConfiguration
(dp65
S'liloDevice'
p66
S'mbr'
p67
sS'initrdsMade'
p68
(dsS'edd'
p69
I0
sS'default'
p70
S'linux'
p71
sS'liloImages'
p72
(dp73
S'hda1'
p74
(g71
I2
tssS'liloLinear'
p75
I1
sS'liloAppend'
p76
NsbsS'comps'
p77
NsS'network'
p78
(itodo
Network
(dp79
S'netdevices'
p80
(dp81
S'eth0'
p82
(itodo
NetworkDevice
(dp83
g57
(dp84
S'ONBOOT'
p85
S'yes'
sS'IPADDR'
p86
S'192.168.0.5'
sS'BOOTPROTO'
p87
S'static'
sS'NETMASK'
p88
S'255.255.255.0'
sS'DEVICE'
p89
g82
ssbssS'gateway'
p90
S'192.168.0.1'
sS'secondaryNS'
p91
S''
sS'hostname'
p92
S'listserv.irobotics.com'
sS'primaryNS'
p93
S'192.168.0.1'
sS'domains'
p94
(lp95
S'irobotics.com'
asS'isConfigured'
p96
I1
sS'readData'
p97
I1
sS'ternaryNS'
p98
S''
sbsS'upgrade'
p99
I0
sS'instClass'
p100
(icustom
InstallClass
(dp101
S'rootPasswordCrypted'
p102
I0
sS'nameserver'
p103
S''
sS'x'
NsS'rootPassword'
p104
NsS'makeBootdisk'
p105
I0
sS'installType'
p106
NsS'postScript'
p107
NsS'earlySwapOn'
p108
I0
sS'networkDevice'
p109
NsS'clearText'
p110
Nsg64
(g67
I1
S''
tsg13
NsS'name'
p111
S''
sS'postInChroot'
p112
I0
sS'pixmap'
p113
S''
sS'partitions'
p114
(lsS'clearType'
p115
Nsg90
S''
sS'mouse'
p116
NsS'packages'
p117
NsS'timezone'
p118
NsS'zeroMbr'
p119
I0
sS'keyboard'
p120
NsS'groups'
p121
NsS'bootProto'
p122
NsS'netmask'
p123
S''
sS'raidList'
p124
(lsS'skipSteps'
p125
(dsS'auth'
p126
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg92
Nsg63
(lsS'showgroups'
p127
NsS'ip'
p128
S''
sS'defaultRunlevel'
p129
NsS'desktop'
p130
S''
sS'clearPartText'
p131
NsS'clearParts'
p132
I0
sbsS'rootpassword'
p133
NsS'extraModules'
p134
(lp135
sg116
(imouse
Mouse
p136
(dp137
S'device'
p138
S'psaux'
p139
sg57
(dp140
S'XMOUSETYPE'
p141
S'IMPS/2'
p142
sS'FULLNAME'
p143
S'Microsoft - IntelliMouse (PS/2)'
p144
sS'MOUSETYPE'
p145
S'imps2'
p146
ssS'emu'
p147
I0
sS'wasProbed'
p148
I0
sS'emulate'
p149
I0
sbsS'ddruidAlreadySaved'
p150
I0
sS'serial'
p151
I0
sg118
(S'America/Indianapolis'
I0
I0
tsg119
I0
sg120
(ikbd
Keyboard
(dp152
S'layout'
p153
NsS'model'
p154
NsS'type'
p155
S'PC'
p156
sg57
(dp157
S'KEYBOARDTYPE'
p158
S'pc'
p159
sS'KEYTABLE'
p160
S'us'
p161
ssbsS'skipFdisk'
p162
I1
sS'fdDevice'
p163
S'fd0'
p164
sS'installSystem'
p165
I1
sS'setupFilesystems'
p166
I1
sg126
(itodo
Authentication
(dp167
S'useNIS'
p168
I0
sS'nisServer'
p169
S''
sS'useLdap'
p170
I0
sS'krb5Kdc'
p171
S''
sS'useHesiod'
p172
I0
sS'ldapServer'
p173
S''
sS'nisDomain'
p174
S''
sS'krb5Realm'
p175
S''
sS'useLdapauth'
p176
I0
sS'hesiodRhs'
p177
S''
sS'useShadow'
p178
I1
sS'nisuseBroadcast'
p179
I0
sS'useKrb5'
p180
I0
sS'useMD5'
p181
I1
sS'ldapBasedn'
p182
S''
sS'krb5Admin'
p183
S''
sS'hesiodLhs'
p184
S''
sS'hesiodDlhs'
p185
S''
sbsg92
NsS'reconfigOnly'
p186
I0
sS'x'
(ixf86config
XF86Config
(dp187
S'monlist'
p188
(dsS'keyModel'
p189
S'pc101'
p190
sS'monids'
p191
(dsg138
NsS'monEisa'
p192
NsS'server'
p193
NsS'monHoriz'
p194
S'31.5'
p195
sS'devID'
p196
NsS'modes'
p197
(dp198
S'8'
(lp199
S'640x480'
p200
assS'keyOptions'
p201
S''
sS'keyVariant'
p202
S''
sS'monID'
p203
S'Unprobed Monitor'
p204
sS'keyLayout'
p205
S'us'
p206
sS'manualModes'
p207
(dsg116
g136
sS'keyRules'
p208
S'xfree86'
p209
sS'monVert'
p210
S'60'
p211
sS'cardMan'
p212
NsS'monSect'
p213
S''
sS'primary'
p214
I0
sS'vidRam'
p215
NsS'probed'
p216
I0
sS'monName'
p217
NsS'vidCards'
p218
(lsS'skip'
p219
I0
sS'files'
p220
S'\012# The location of the RGB database.  Note, this is the name of 
the\012# file minus the extension (like ".txt" or ".db").  There is 
normally\012# no need to change the default.\012\012    
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are 
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and 
later now use a font server independent of\012# the X server to render 
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    
FontPath   "unix/:7100"\012'
p221
sbsS'users'
p222
NsS'instPath'
p223
S'/mnt/sysimage'
p224
sS'intf'
p225
NsS'hdList'
p226
Nsb.
Comment 1 Michael Fulbright 2000-12-21 13:58:56 EST
There was a network error - try another time or perhaps another ftp site.
Comment 2 Need Real Name 2000-12-21 14:04:58 EST
It is a local network, no one else has access. I've tried both NFS and FTP, and 
am able to transfer the entire image from the server to the same box under the 
RedHat 6.2 that is presently installed on it.

In short - I don't believe it to be a network error.
Comment 3 Michael Fulbright 2000-12-21 14:36:37 EST
Did you copy both CD's to the FTP server?

We have done extensive testing of the FTP process (we do them internally all the
time in testing the installer) and the only way I've seen this traceback occur
when there are missing or corrupted RPMS on the FTP server.
Comment 4 Need Real Name 2000-12-21 14:39:52 EST
Yes - I know the directory name is a little misleading in that regard, but both 
CDs were copied into the directory.  If I had any idea what file may be 
corrupt, I could check that, but I'm not grokking that from the debug 
information.
Comment 5 Michael Fulbright 2000-12-27 12:38:29 EST
Its failing on the MAKEDEV package.
Comment 6 Need Real Name 2000-12-28 09:18:49 EST
I tried re-copying from the CD and it crashed at exactly the same place.

Downloaded MAKEDEV-3.06-5.i386.rpm from ftp.redhat.com/redhat/redhat-
7.0/i386/en/RedHat/RPMS and copied that in, and it crashed at exactly the same 
place.
Comment 7 Michael Fulbright 2001-01-17 15:16:56 EST
Try a different site. There was corruption on the site you used, or in transfer.
Comment 8 Need Real Name 2001-01-17 15:43:35 EST
Redownloaded from ftp.redhat.com.  Source CD is an original RedHat CD.  md5sum 
reports the same sum on both files (753885be4efd834b88f637c4aec4eb87).  Still 
getting the same error.  Able to read the file over NFS from another machine, 
get same md5sum.  Is this the correct md5sum?  If it is, then there's still a 
problem.
Comment 9 Michael Fulbright 2001-01-19 12:39:30 EST
If you run the command

rpm -K <packagename>

it will tell you if the package is ok or not.
Comment 10 Michael Fulbright 2001-02-23 12:30:05 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.